## ros-indigo-visp-hand2eye-calibration 0.10.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(visp_hand2eye_calibration)

find_package(catkin REQUIRED COMPONENTS
  geometry_msgs
  image_proc
  message_generation
  roscpp
  sensor_msgs
  std_msgs
  visp_bridge
)

# ViSP cannot be found by Catkin.
# see https://github.com/ros/catkin/issues/606
find_package(VISP REQUIRED)


add_definitions(${VISP_DEFINITIONS})

include_directories(
  ${Boost_INCLUDE_DIRS}
  ${VISP_INCLUDE_DIRS}
  ${catkin_INCLUDE_DIRS}
)
#link_directories(
#  ${Boost_LIBRARY_DIRS}
#  ${VISP_LIBRARY_DIRS}
#  ${catkin_LIBRARY_DIRS}
#  )

# Generate messages and services.
add_message_files(
  DIRECTORY
    msg
  FILES
    TransformArray.msg
  )
add_service_files(
  DIRECTORY
    srv
  FILES
    compute_effector_camera.srv
    compute_effector_camera_quick.srv
    reset.srv
  )
generate_messages(DEPENDENCIES geometry_msgs sensor_msgs std_msgs)

catkin_package(
  CATKIN_DEPENDS
    geometry_msgs
    message_runtime
    roscpp
    sensor_msgs
    std_msgs
)

add_library(${PROJECT_NAME}_common
  src/names.cpp
  src/names.h
)
target_link_libraries(${PROJECT_NAME}_common
  ${catkin_LIBRARIES}
  ${roscpp_LIBRARIES}
  )

add_executable(${PROJECT_NAME}_calibrator
  src/calibrator.cpp
  src/calibrator.h
  src/calibrator_main.cpp
)
target_link_libraries(${PROJECT_NAME}_calibrator
  ${PROJECT_NAME}_common
  ${catkin_LIBRARIES}
  ${roscpp_LIBRARIES}
  )
add_dependencies(${PROJECT_NAME}_calibrator
  ${catkin_EXPORTED_TARGETS}
  ${PROJECT_NAME}_gencpp)

add_executable(${PROJECT_NAME}_client
  src/client.cpp
  src/client.h
  src/client_main.cpp
)
target_link_libraries(${PROJECT_NAME}_client
  ${PROJECT_NAME}_common
  ${catkin_LIBRARIES}
  ${roscpp_LIBRARIES}
  )
add_dependencies(${PROJECT_NAME}_client
  ${catkin_EXPORTED_TARGETS}
  ${PROJECT_NAME}_gencpp)

install(
  TARGETS
    ${PROJECT_NAME}_calibrator
    ${PROJECT_NAME}_client
    ${PROJECT_NAME}_common
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-indigo-visp-hand2eye-calibration (0.10.0-0trusty) trusty; urgency=high

  * Fix catkin_lint warnings level 2
  * indigo-0.9.1
  * Prepare changelogs
  * Contributors: Fabien Spindler

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Sun, 12 Feb 2017 23:00:00 -0000

ros-indigo-visp-hand2eye-calibration (0.9.1-0trusty) trusty; urgency=high

  * Revert build_depend visp removal that is mandatory.
  * indigo-0.9.0
  * Prepare changelogs
  * Contributors: Fabien Spindler

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Sun, 20 Dec 2015 23:00:00 -0000

ros-indigo-visp-hand2eye-calibration (0.9.0-0trusty) trusty; urgency=high

  * Fix catkin_lint errors and warnings
  * indigo-0.8.1
  * Prepare changelogs
  * Contributors: Fabien Spindler

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Sat, 19 Dec 2015 23:00:00 -0000

ros-indigo-visp-hand2eye-calibration (0.8.1-0trusty) trusty; urgency=high

  * indigo-0.8.0
  * Prepare changelogs
  * Contributors: Fabien Spindler

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Tue, 07 Apr 2015 22:00:00 -0000

ros-indigo-visp-hand2eye-calibration (0.8.0-0trusty) trusty; urgency=high

  * Merge branch 'indigo-devel' into indigo
  * Remove catkin_lint issues and warnings
  * Fix doc url location
  * indigo-0.7.5
  * Prepare changelogs
  * Contributors: Fabien Spindler

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Mon, 30 Mar 2015 22:00:00 -0000

ros-indigo-visp-hand2eye-calibration (0.7.5-0trusty) trusty; urgency=high

  * indigo-0.7.4
  * Prepare changelogs
  * Contributors: Fabien Spindler

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Thu, 31 Jul 2014 22:00:00 -0000

ros-indigo-visp-hand2eye-calibration (0.7.4-0trusty) trusty; urgency=high

  * Update and fix content of README files
  * Prepare changelogs
  * Contributors: Fabien Spindler

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Wed, 02 Jul 2014 22:00:00 -0000

ros-indigo-visp-hand2eye-calibration (0.7.3-0trusty) trusty; urgency=high

  * indigo-0.7.2
  * Prepare changelogs
  * Contributors: Fabien Spindler

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Wed, 09 Apr 2014 22:00:00 -0000

ros-indigo-visp-hand2eye-calibration (0.7.2-0trusty) trusty; urgency=high

  * Fix various dependency issues in the CMakeLists.txt and package.xml files
  * lipstick
    
    Aesthetic changes
  * Add missing dependency to ViSP
  * Fix errors detected with catkin_lint
  * Contributors: Fabien Spindler, Thomas Moulard

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Sun, 06 Apr 2014 22:00:00 -0000

ros-indigo-visp-hand2eye-calibration (0.7.0-0trusty) trusty; urgency=high

  * Merge visp_hand2eye_calibration as our subdirectory
  * Contributors: Thomas Moulard

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Tue, 11 Mar 2014 23:00:00 -0000

=== debian/control ===
Source: ros-indigo-visp-hand2eye-calibration
Section: misc
Priority: extra
Maintainer: Fabien Spindler <Fabien.Spindler@inria.fr>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-image-proc, ros-indigo-message-generation, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-visp, ros-indigo-visp-bridge
Homepage: http://wiki.ros.org/visp_hand2eye_calibration
Standards-Version: 3.9.2

Package: ros-indigo-visp-hand2eye-calibration
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-geometry-msgs, ros-indigo-image-proc, ros-indigo-message-generation, ros-indigo-message-runtime, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-visp, ros-indigo-visp-bridge
Description: visp_hand2eye_calibration estimates the camera position with respect to its effector using the ViSP library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-visp-hand2eye-calibration//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
